com.atid.lib.module.rfid.uhf.params

## Class Mask6cPattern

- java.lang.Object
- - com.atid.lib.module.rfid.uhf.params.Mask6cPattern

-     public class Mask6cPattern
      extends java.lang.Object

  The Mask6cPattern class is a class that represents the Mask Pattern of a Selection Mask in terms of pattern and length.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Mask6cPattern()` Create an instance of the Mask6cPattern class.
    `Mask6cPattern(<any> value)` Create an instance of the Mask6cPattern class.
    `Mask6cPattern(java.lang.String pattern, int length)` Create an instance of the Mask6cPattern class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLength()` Returns the pattern length of the Mask6cPattern instance.
    `java.lang.String` | `getPattern()` Returns the Mask pattern of the Mask6cPattern instance.
    `void` | `setLength(int length)` Sets the pattern length of the Mask6cPattern instance.
    `void` | `setPattern(java.lang.String pattern)` Mask6cPattern Sets the Mask pattern for the instance.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Mask6cPattern

          public Mask6cPattern()

      Create an instance of the Mask6cPattern class.

    - #### Mask6cPattern

          public Mask6cPattern(<any> value)

      Create an instance of the Mask6cPattern class.
      Parameters:
        `value` - An instance of the class Pair representing the Hex type string and length of the Mask pattern.

    - #### Mask6cPattern

          public Mask6cPattern(java.lang.String pattern,
                               int length)

      Create an instance of the Mask6cPattern class.
      Parameters:
        `pattern` - An Hex type string representing a mask pattern.
        `length` - Mask An integer representing the length of the pattern. The length of the pattern is in bits.

  - ### Method Detail

    - #### getPattern

          public java.lang.String getPattern()

      Returns the Mask pattern of the Mask6cPattern instance.
      Returns:
        An Hex type string representing a mask pattern.

    - #### setPattern

          public void setPattern(java.lang.String pattern)

      Mask6cPattern Sets the Mask pattern for the instance.
      Parameters:
        `pattern` - An Hex type string representing a mask pattern.

    - #### getLength

          public int getLength()

      Returns the pattern length of the Mask6cPattern instance.
      Returns:
        Mask An integer representing the length of the pattern. The length of the pattern is in bits.

    - #### setLength

          public void setLength(int length)

      Sets the pattern length of the Mask6cPattern instance.
      Parameters:
        `length` - Mask An integer representing the length of the pattern. The length of the pattern is in bits.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`